-- name: [CS] PWYL Pack v1
-- description: [CS] PWYL Pack v1\nBy GameWorld Studio\n\nThe official SM64 Coop Deluxe PWYL mod!\nRun, jump (and try not to look too suspicious) through the Mushroom Kingdom!\n\nComes with a Yakob WiddlePet

local E_MODEL_WPET = smlua_model_util_get_id('yakob_geo')

local E_MODEL_FELIX = smlua_model_util_get_id("felix_geo")
local CAPTABLE_FELIX = {
    normal = smlua_model_util_get_id("remote"),
    wing = smlua_model_util_get_id("remotew"),
    metal = smlua_model_util_get_id("remotem"),
    metalWing = smlua_model_util_get_id("remotemw"),
}
local PALETTE_CHAR = {
    [PANTS]  = "868686",
    [SHIRT]  = "0700FE",
    [GLOVES] = "13121C",
    [SHOES]  = "5D30D1",
    [SKIN]   = "424242",
    [CAP]   = "FF0000",

}
local function modsupport()
    if _G.wpets ~= nil then -- if widdlepets is enabled
        local ID_WPET = _G.wpets.add_pet({
            name = "Yakob", credit = "GameWorld Studio",
            description = "It has a gun. Voiced by SuperGD",
            modelID = E_MODEL_WPET,
            scale = 1.0, yOffset = 0, flying = false
        })
        _G.wpets.set_pet_anims_2leg(ID_WPET)
        _G.wpets.set_pet_sounds(ID_WPET, {
            spawn = 'hallo.ogg',
            happy = 'yakob.ogg',
            vanish = 'fuck.ogg',
            step = SOUND_OBJ_BOBOMB_WALK
        })
        else
            djui_popup_create("\\#ffffdc\\PWYL Pack comes\nwith a Widdlepet!\n\nActivate the Widdlepets\nmod to use it.", 5)
        end
    end
hook_event(HOOK_ON_MODS_LOADED, modsupport) --Called directly after every mod file is loaded in by smlua

local TEX_CUSTOM_ICON = get_texture_info("felix-icon")

local TEXT_MOD_NAME = "PWYL Pack"

local VOICETABLE_FELIX = {
    [CHAR_SOUND_ATTACKED] = 'hurt.ogg',
	[CHAR_SOUND_EEUH] = 'silent.ogg',
	[CHAR_SOUND_LETS_A_GO] = 'lotsego.ogg',
    [CHAR_SOUND_DROWNING] = 'hurt.ogg',
    [CHAR_SOUND_DYING] = 'hurt.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'silent.ogg',
    [CHAR_SOUND_HAHA] = 'silent.ogg',
    [CHAR_SOUND_HAHA_2] = 'silent.ogg',
	[CHAR_SOUND_DOH] = 'hurt.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'star.ogg',
    [CHAR_SOUND_HOOHOO] = 'jump2.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'sigh.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'silent.ogg',
    [CHAR_SOUND_ON_FIRE] = 'fire.ogg',
    [CHAR_SOUND_OOOF] = 'hurt.ogg',
    [CHAR_SOUND_OOOF2] = 'hurt.ogg',
	[CHAR_SOUND_HRMM] = 'silent.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'punch.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'punch.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'punch.ogg',
	[CHAR_SOUND_UH] = 'hurt.ogg',
    [CHAR_SOUND_UH2] = 'jump1.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'bowser.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'silent.ogg',
    [CHAR_SOUND_WAAAOOOW] ='hurt.ogg',
    [CHAR_SOUND_WAH2] = 'silent.ogg',
    [CHAR_SOUND_WHOA] = 'silent.ogg',
    [CHAR_SOUND_YAHOO] = 'jump1.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'jump2.ogg', 'jump1.ogg', 'jump1.ogg'},
    [CHAR_SOUND_YAWNING] = 'yawn.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = {'jump1.ogg', 'jump1.ogg', 'jump1.ogg'},
}


if _G.charSelectExists then
    _G.charSelect.character_add("Felix", {"Who's this?", "Mustn't be anybody important...", "He'd like you to believe that, anyway.", "", "Voiced by LafawndaPasta"}, "GameWorld Studio", {r = 107, g = 107, b = 107}, E_MODEL_FELIX, CT_MARIO, TEX_CUSTOM_ICON)

	_G.charSelect.character_add_voice(E_MODEL_FELIX, VOICETABLE_FELIX)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_FELIX then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_FELIX then return _G.charSelect.voice.snore(m) end
    end)
	_G.charSelect.character_add_caps(E_MODEL_FELIX, CAPTABLE_FELIX)
	_G.charSelect.character_add_palette_preset(E_MODEL_FELIX, PALETTE_CHAR)

else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end
